iTunes < 7.4 Malformed Music File Heap Overflow (Mac OS X)

High Nessus Plugin ID 25999


The remote Mac OS X host contains an application that is affected by a remote code execution flaw.


The remote host is running iTunes, a popular jukebox program.

The remote version of iTunes is vulnerable to a heap overflow when it parses a specially crafted MP4/AAC file. By tricking a user into opening such a file, a remote attacker may be able to leverage this issue to execute arbitrary code on the affected host, subject to the privileges of the user running the application.


Upgrade to iTunes 7.4 or later.

See Also

Plugin Details

Severity: High

ID: 25999

File Name: macosx_itunes_7_4.nasl

Version: $Revision: 1.15 $

Type: local

Agent: macosx

Published: 2007/09/07

Modified: 2017/05/10

Dependencies: 25997

Risk Information

Risk Factor: High


Base Score: 9.3

Temporal Score: 6.9

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:U/RL:OF/RC:C


Base Score: 8.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: cpe:/a:apple:itunes

Required KB Items: Host/MacOSX/Version, installed_sw/iTunes

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2007/09/04

Vulnerability Publication Date: 2007/09/06

Reference Information

CVE: CVE-2007-3752

BID: 25567

OSVDB: 38528

CWE: 119